VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsIconInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Private ms_Name As String
Private mi_Code As Integer
Private ms_Description As String
Private ms_Role As String
Private ms_Position As String
Private mb_Visible As Boolean

Public Property Let Name(as_Name As String)
    ms_Name = as_Name
End Property

Public Property Get Name() As String
    Name = ms_Name
End Property
                    
Public Property Let Code(ai_Code As Integer)
    mi_Code = ai_Code
End Property

Public Property Get Code() As Integer
    Code = mi_Code
End Property

Public Property Let Description(as_Description As String)
    ms_Description = as_Description
End Property

Public Property Get Description() As String
    Description = ms_Description
End Property

Public Property Let Role(as_Role As String)
    ms_Role = as_Role
End Property

Public Property Get Role() As String
    Role = ms_Role
End Property

Public Property Let Position(as_Position As String)
    ms_Position = as_Position
End Property

Public Property Get Position() As String
    Position = ms_Position
End Property

Public Property Let Visible(ab_Visible As Boolean)
    mb_Visible = ab_Visible
End Property

Public Property Get Visible() As Boolean
    Visible = mb_Visible
End Property

